# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           json_diff
Version:        1.5.0
Release:        1%{?dist}
Summary:        Generates diff between two JSON files

License:        MIT
URL:            https://gitlab.com/mcepl/json_diff
Source0:        https://pypi.python.org/packages/source/j/json_diff/json_diff-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel, python3-setuptools
BuildRequires:  glibc-all-langpacks
Requires:       python3

%description
Compares two JSON files (http://json.org) and generates a new JSON file
with the result. Allows exclusion of some keys from the comparison, or
in other way to include only some keys.

%prep
%autosetup -p1
tr -d '\r' < README.txt > README

%build
%{__python3} setup.py build

%install
rm -rf %{buildroot}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python3} setup.py test

%files
%doc README
%{_bindir}/json_diff
%{python3_sitelib}/*

%changelog
* Sun Aug 25 2019 Matěj Cepl <mcepl@cepl.eu> - 1.5.0-1
- New upstream release (port to Python3, #1741794)

* Tue Aug 06 2019 Matěj Cepl <mcepl@cepl.eu> - 1.4.2-1
- Below fixes collected in the upstream release.

* Tue Aug 06 2019 Matěj Cepl <mcepl@cepl.eu> - 1.4.1-5
- Rebuild in the current Rawhide (RHBZ#1675215)
- Allow empty arguments for main() function (RHBZ#1672836)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 21 2018 Matěj Cepl <mcepl@redhat.com> - 1.4.1-1
- New upstream release (generate proper script to _bindir)

* Fri Jul 20 2018 Matěj Cepl <mcepl@redhat.com> - 1.3.4-1
- Use python2, not python. Fix tests to pass.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Feb 20 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.3.4-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)
- Replace obsolete webpage for the project

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 13 2015 Matej Cepl <mcepl@redhat.com> - 1.3.4-1
- Fix the home of this package.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 24 2012 Matěj Cepl <mcepl@redhat.com> - 1.3.3-1
- python 2.4 compatibility

* Tue Apr 24 2012 'Matej Cepl <mcepl@redhat.com>' - 1.3.1-2
- New upstream release (optional output file)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 30 2011 Matěj Cepl <mcepl@redhat.com> 1.2.2-1
- New upstream release (exit code)
- Make tests independent of the current locale (including on RHEL 5)
- Workaround a stupid incompatible change in optparse between python 2.4 and 2.6

* Tue Nov 29 2011 Matěj Cepl <mcepl@redhat.com> 1.1.0-1
- New upstream release (-a option added)

* Wed Nov 23 2011 Matěj Cepl <mcepl@redhat.com> 1.0.1-1
- New upstream version

* Tue Nov 22 2011 Matěj Cepl <mcepl@redhat.com> - 0.9.2-2
- Make the package buildable on EL-5

* Mon Nov 21 2011 Matěj Cepl <mcepl@redhat.com> 0.9.2-1
- New upstream release (EL-5 compatible)

* Mon Nov 21 2011 'Matěj Cepl <mcepl@redhat.com>' - 0.9.1-1
- The first attempt to package
